Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast
Class ConstructorNode

Represents a constructor declaration

author:
  James Strachan

version:
  $Revision: 9041 $

Constructor Summary
`ConstructorNode(int modifiers, Statement code)`
`ConstructorNode(int modifiers, def parameters, def exceptions, Statement code)`

Method Summary
`boolean` | `firstStatementIsSpecialConstructorCall()`

Constructor Detail

### ConstructorNode

    public ConstructorNode(int modifiers, Statement code)

### ConstructorNode

    public ConstructorNode(int modifiers, def parameters, def exceptions, Statement code)

Method Detail

### firstStatementIsSpecialConstructorCall

    public boolean firstStatementIsSpecialConstructorCall()